Subject: Re: bug#19018: <ncursesw/ncurses.h> not provided by the ncurses library

From: [email-masked] (Ludovic Courtès)
Date: Tue, 11 Nov 2014 17:53:40 +0100

宋文武 <[email-masked]> skribis:

> Hi, gtypist check and use ncurses header from that location,
> perhaps we should make a symlink in ncurses just as nixpkgs does.

I wonder what the Right Thing is.  The ‘ncurses’ package explicitly
passes --includedir=$out/include because that’s what all the packages we
have so far expect.

If it turns out that a non-negligible number of packages expect headers
to be under $out/include/ncursesw, then I agree that we should make a
symlink.

In the meantime, since ncurses is a core package, could you just patch
gtypist (in a ‘snippet’) to use the right headers?

(BTW, make sure to add a copyright line for you in the package.)

Thanks in advance!

Ludo’.